package com.bjtdba.entity.wares;

import java.math.BigDecimal;

public class StoreProductAttrValue {

    /**
     * 商品ID
     */
    private Integer product_id;
    /**
     * 详情
     */
    private String detail;
    /**
     * 商品属性索引值 (attr_value|attr_value[|....])
     */
    private String sku;
    /**
     * 属性对应的库存
     */
    private Integer stock;
    /**
     * 销量
     */
    private Integer sales;
    /**
     * 图片
     */
    private String image;
    /**
     * 产品条码
     */
    private String bar_code;
    /**
     * 成本价
     */
    private BigDecimal cost;
    /**
     *原价
     */
    private BigDecimal ot_price;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 体积
     */
    private BigDecimal volume;

    /**
     *重量
     */
    private BigDecimal weight;

    /**
     * 类型
     */
    private Integer type;

    /**
     * 养老金
     */
    private BigDecimal extension_one = BigDecimal.ZERO;

    /**
     * 唯一值
     */
    private String unique;

    /**
     * 大仓会员价格
     */
    private BigDecimal dacang_price;

    /**
     * 供应链成本价
     */
    private BigDecimal cost_price;

    /**
     * 供应链sku_id
     */
    private String gong_sku_id;

    /**
     * 返回计算后的养老金
     */
    private BigDecimal yanglao_price;


    private Integer pension_num;
    private Integer share_num;
    private Integer stock_num;
    private Integer shares_num;
    /**
     * gong_pension
     */
    private BigDecimal gong_pension;

    public BigDecimal getGong_pension() {
        return gong_pension;
    }

    public void setGong_pension(BigDecimal gong_pension) {
        this.gong_pension = gong_pension;
    }

    public BigDecimal getYanglao_price() {
        return yanglao_price;
    }

    public void setYanglao_price(BigDecimal yanglao_price) {
        this.yanglao_price = yanglao_price;
    }

    public Integer getProduct_id() {
        return product_id;
    }

    public void setProduct_id(Integer product_id) {
        this.product_id = product_id;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Integer getSales() {
        return sales;
    }

    public void setSales(Integer sales) {
        this.sales = sales;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getBar_code() {
        return bar_code;
    }

    public void setBar_code(String bar_code) {
        this.bar_code = bar_code;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public BigDecimal getOt_price() {
        return ot_price;
    }

    public void setOt_price(BigDecimal ot_price) {
        this.ot_price = ot_price;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getVolume() {
        return volume;
    }

    public void setVolume(BigDecimal volume) {
        this.volume = volume;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public BigDecimal getExtension_one() {
        return extension_one;
    }

    public void setExtension_one(BigDecimal extension_one) {
        this.extension_one = extension_one;
    }

    public String getUnique() {
        return unique;
    }

    public void setUnique(String unique) {
        this.unique = unique;
    }

    public BigDecimal getDacang_price() {
        return dacang_price;
    }

    public void setDacang_price(BigDecimal dacang_price) {
        this.dacang_price = dacang_price;
    }

    public BigDecimal getCost_price() {
        return cost_price;
    }

    public void setCost_price(BigDecimal cost_price) {
        this.cost_price = cost_price;
    }

    public String getGong_sku_id() {
        return gong_sku_id;
    }

    public void setGong_sku_id(String gong_sku_id) {
        this.gong_sku_id = gong_sku_id;
    }

    public Integer getPension_num() {
        return pension_num;
    }

    public void setPension_num(Integer pension_num) {
        this.pension_num = pension_num;
    }

    public Integer getShare_num() {
        return share_num;
    }

    public void setShare_num(Integer share_num) {
        this.share_num = share_num;
    }

    public Integer getStock_num() {
        return stock_num;
    }

    public void setStock_num(Integer stock_num) {
        this.stock_num = stock_num;
    }

    public Integer getShares_num() {
        return shares_num;
    }

    public void setShares_num(Integer shares_num) {
        this.shares_num = shares_num;
    }
}
